/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2010 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  --
  -- Local constants and variables
  --
  l_sql varchar2(32000);

BEGIN

  --
  -- Register Query Assignments
  --
  l_sql :=
'        SELECT /*+ cardinality(rslts 10)*/
               rslts.*,
              xxas_per_search_pkg.get_facet_title(1) facet_1_title,
              xxas_per_search_pkg.get_facet_title(2) facet_2_title,
              xxas_per_search_pkg.get_facet_title(3) facet_3_title,
              xxas_per_search_pkg.get_facet_title(4) facet_4_title,
              xxas_per_search_pkg.get_facet_title(5) facet_5_title,
              xxas_per_search_pkg.get_facet_title(6) facet_6_title,
              xxas_per_search_pkg.get_facet_title(7) facet_7_title,
			  xxas_per_search_pkg.get_facet_title(8) facet_8_title,
			  xxas_per_search_pkg.get_facet_title(9) facet_9_title,
			  xxas_per_search_pkg.get_facet_title(10) facet_10_title,
              xxas_per_search_pkg.get_facet_title(11) facet_11_title,
			  xxas_per_search_pkg.get_facet_title(12) facet_12_title,
              xxas_per_search_pkg.get_facet_title(13) facet_13_title,
              xxas_per_search_pkg.get_facet_title(14) facet_14_title,
              xxas_per_search_pkg.get_facet_title(15) facet_15_title,
              xxas_per_search_pkg.get_facet_title(16) facet_16_title,
              xxas_per_search_pkg.get_facet_title(17) facet_17_title,
              xxas_per_search_pkg.get_facet_title(18) facet_18_title,
              xxas_per_search_pkg.get_facet_title(19) facet_19_title,
              xxas_per_search_pkg.get_facet_title(20) facet_20_title,
              xxas_per_search_pkg.get_facet_title(21) facet_21_title,
              xxas_per_search_pkg.get_facet_title(22) facet_22_title,
              xxas_per_search_pkg.get_facet_title(23) facet_23_title,
              xxas_per_search_pkg.get_facet_title(24) facet_24_title,
              xxas_per_search_pkg.get_facet_title(25) facet_25_title,
              xxas_per_search_pkg.get_facet_title(26) facet_26_title,
              xxas_per_search_pkg.get_facet_title(27) facet_27_title,
              xxas_per_search_pkg.get_facet_title(28) facet_28_title,
              xxas_per_search_pkg.get_facet_title(29) facet_29_title,
              xxas_per_search_pkg.get_facet_title(30) facet_30_title,
              xxas_per_search_pkg.get_facet_title(31) facet_31_title,
              xxas_per_search_pkg.get_facet_title(32) facet_32_title,
              xxas_per_search_pkg.get_facet_title(33) facet_33_title,
              xxas_per_search_pkg.get_facet_title(34) facet_34_title,
              xxas_per_search_pkg.get_facet_title(35) facet_35_title,
              xxas_per_search_pkg.get_facet_title(36) facet_36_title,
			  xxas_per_search_pkg.get_facet_title(37) facet_37_title,
			  xxas_per_search_pkg.get_facet_title(38) facet_38_title,
			  xxas_per_search_pkg.get_facet_title(39) facet_39_title,
              xxas_per_search_pkg.get_facet_title(40) facet_40_title,
			  xxas_per_search_pkg.get_facet_title(41) facet_41_title,
              xxas_per_search_pkg.get_facet_title(42) facet_42_title,
              xxas_per_search_pkg.get_facet_title(43) facet_43_title,
              xxas_per_search_pkg.get_facet_title(44) facet_44_title,
              xxas_per_search_pkg.get_facet_title(45) facet_45_title,
              xxas_per_search_pkg.get_facet_title(46) facet_46_title,
              xxas_per_search_pkg.get_facet_title(47) facet_47_title,
              xxas_per_search_pkg.get_facet_title(48) facet_48_title,
              xxas_per_search_pkg.get_facet_title(49) facet_49_title,
              xxas_per_search_pkg.get_facet_title(50) facet_50_title,
              xxas_per_search_pkg.get_facet_title(51) facet_51_title,
              xxas_per_search_pkg.get_facet_title(52) facet_52_title,
              xxas_per_search_pkg.get_facet_title(53) facet_53_title,
              xxas_per_search_pkg.get_facet_title(54) facet_54_title,
              xxas_per_search_pkg.get_facet_title(55) facet_55_title,
              xxas_per_search_pkg.get_facet_title(56) facet_56_title,
              xxas_per_search_pkg.get_facet_title(57) facet_57_title,
              xxas_per_search_pkg.get_facet_title(58) facet_58_title,
              xxas_per_search_pkg.get_facet_title(59) facet_59_title,
              xxas_per_search_pkg.get_facet_title(60) facet_60_title
         FROM   TABLE(xxas_per_search_pkg.people_tbl
                      (:pSearchText, :pEffectiveDate, :pFacet1Value, :pFacet2Value
                      ,:pFacet3Value, :pFacet4Value, :pFacet5Value, :pFacet6Value
                      ,:pFacet7Value, :pFacet8Value, :pFacet9Value, :pFacet10Value
                      ,:pFacet11Value, :pFacet12Value, :pFacet13Value, :pFacet14Value
                      ,:pFacet15Value, :pFacet16Value, :pFacet17Value, :pFacet18Value
                      ,:pFacet19Value, :pFacet20Value, :pFacet21Value, :pFacet22Value
                      ,:pFacet23Value, :pFacet24Value, :pFacet25Value, :pFacet26Value
                      ,:pFacet27Value, :pFacet28Value, :pFacet29Value, :pFacet30Value
                      ,:pFacet31Value, :pFacet32Value, :pFacet33Value, :pFacet34Value
                      ,:pFacet35Value, :pFacet36Value, :pFacet37Value, :pFacet38Value
                      ,:pFacet39Value, :pFacet40Value, :pFacet41Value, :pFacet42Value
                      ,:pFacet43Value, :pFacet44Value, :pFacet45Value, :pFacet46Value
                      ,:pFacet47Value, :pFacet48Value, :pFacet49Value, :pFacet50Value
                      ,:pFacet51Value, :pFacet52Value, :pFacet53Value, :pFacet54Value
                      ,:pFacet55Value, :pFacet56Value, :pFacet57Value, :pFacet58Value
                      ,:pFacet59Value, :pFacet60Value)) rslts ';

  xxas_com_sr_pkg.seed_query_service
    (p_service_name      => 'QueryAssignmentsExport'
    ,p_securing_function => 'XXAS_SRV_Q_ASG_PERM'
    ,p_sql               => l_sql
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pSearchText', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pEffectiveDate', xxas_com_sr_pkg.g_DATE)
                              ,xxas_com_sr_param_type('pFacet1Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet2Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet3Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet4Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet5Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet6Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet7Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet8Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet9Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet10Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet11Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet12Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet13Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet14Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet15Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet16Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet17Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet18Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet19Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet20Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet21Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet22Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet23Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet24Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet25Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet26Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet27Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet28Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet29Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet30Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet31Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet32Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet33Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet34Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet35Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet36Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet37Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet38Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet39Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet40Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet41Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet42Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet43Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet44Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet45Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet46Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet47Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet48Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet49Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet50Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet51Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet52Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet53Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet54Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet55Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet56Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet57Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet58Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet59Value', xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFacet60Value', xxas_com_sr_pkg.g_VARCHAR2))
    ,p_page_size         => 500);

END;
/
COMMIT;
EXIT;
